const Mesa = require('vendor/Mesa.js');
const ShopifyGraphql = require('vendor/ShopifyGraphql.js');
const Shopify= require('vendor/Shopify.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {
  script = (payload, context) => {
    let vars = context.steps;
    
    let query = `
      mutation updateFile($id: ID!, $alt: String!) {
        fileUpdate(files: {id: $id, alt: $alt}) {
          files {
            alt
            id
            ... on MediaImage {
              image {
                url
              }
            }
          }
        }
      }
    `;

    const r = ShopifyGraphql.send(query, {
      "id": vars.webhook.id,
      "alt": vars.custom.alt_text,
    }, {}, 'admin/api/2023-10/graphql.json');

    Mesa.output.next({"response": r.data});
  }
}
